Index: src/sas/qtgui/Plotting/Plotter.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter.py	(revision 1f34e00b9cd808e7a9f82db15cfb71ece4ab6c49)
+++ src/sas/qtgui/Plotting/Plotter.py	(revision 34f13a832b15b4d2deedbaeb28fde1e1537ff5d1)
@@ -75,5 +75,6 @@
         if isinstance(data, Data1D):
             self.data = data
-        if not self._data or data is None:
+
+        if not self._data:
             return
 
Index: src/sas/qtgui/Plotting/Plotter2D.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter2D.py	(revision 1f34e00b9cd808e7a9f82db15cfb71ece4ab6c49)
+++ src/sas/qtgui/Plotting/Plotter2D.py	(revision 34f13a832b15b4d2deedbaeb28fde1e1537ff5d1)
@@ -95,5 +95,5 @@
             self.data = data
 
-        if not self._data or data is None:
+        if not self._data:
             return
 
Index: src/sas/qtgui/Plotting/PlotterBase.py
===================================================================
--- src/sas/qtgui/Plotting/PlotterBase.py	(revision 863ebcab37bf4f8468505e773c391c8514262b9e)
+++ src/sas/qtgui/Plotting/PlotterBase.py	(revision 34f13a832b15b4d2deedbaeb28fde1e1537ff5d1)
@@ -114,5 +114,6 @@
         if not quickplot:
             # Add the toolbar
-            self.toolbar.show()
+            # self.toolbar.show()
+            self.toolbar.hide() # hide for the time being
             # Notify PlotHelper about the new plot
             self.upatePlotHelper()
@@ -220,6 +221,6 @@
         self.actionPrintImage = self.contextMenu.addAction("Print Image")
         self.actionCopyToClipboard = self.contextMenu.addAction("Copy to Clipboard")
-        self.contextMenu.addSeparator()
-        self.actionToggleMenu = self.contextMenu.addAction("Toggle Navigation Menu")
+        #self.contextMenu.addSeparator()
+        #self.actionToggleMenu = self.contextMenu.addAction("Toggle Navigation Menu")
         self.contextMenu.addSeparator()
 
@@ -229,5 +230,5 @@
         self.actionPrintImage.triggered.connect(self.onImagePrint)
         self.actionCopyToClipboard.triggered.connect(self.onClipboardCopy)
-        self.actionToggleMenu.triggered.connect(self.onToggleMenu)
+        #self.actionToggleMenu.triggered.connect(self.onToggleMenu)
 
     def createContextMenu(self):
@@ -381,8 +382,11 @@
         Toggle navigation menu visibility in the chart
         """
-        if self.toolbar.isVisible():
-            self.toolbar.hide()
-        else:
-            self.toolbar.show()
+        self.toolbar.hide()
+        # Current toolbar menu is too buggy.
+        # Comment out until we support 3.x, then recheck.
+        #if self.toolbar.isVisible():
+        #    self.toolbar.hide()
+        #else:
+        #    self.toolbar.show()
 
     def offset_graph(self):
Index: src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py	(revision 863ebcab37bf4f8468505e773c391c8514262b9e)
+++ src/sas/qtgui/Plotting/UnitTesting/Plotter2DTest.py	(revision 34f13a832b15b4d2deedbaeb28fde1e1537ff5d1)
@@ -146,5 +146,5 @@
         self.plotter.createContextMenuQuick()
         actions = self.plotter.contextMenu.actions()
-        self.assertEqual(len(actions), 9)
+        self.assertEqual(len(actions), 7)
 
         # Trigger Print Image and make sure the method is called
@@ -158,13 +158,13 @@
 
         # Trigger Toggle Grid and make sure the method is called
-        self.assertEqual(actions[6].text(), "Toggle Grid On/Off")
+        self.assertEqual(actions[4].text(), "Toggle Grid On/Off")
         self.plotter.ax.grid = MagicMock()
+        actions[4].trigger()
+        self.assertTrue(self.plotter.ax.grid.called)
+
+        # Trigger Change Scale and make sure the method is called
+        self.assertEqual(actions[6].text(), "Toggle Linear/Log Scale")
+        FigureCanvas.draw_idle = MagicMock()
         actions[6].trigger()
-        self.assertTrue(self.plotter.ax.grid.called)
-
-        # Trigger Change Scale and make sure the method is called
-        self.assertEqual(actions[8].text(), "Toggle Linear/Log Scale")
-        FigureCanvas.draw_idle = MagicMock()
-        actions[8].trigger()
         self.assertTrue(FigureCanvas.draw_idle.called)
 
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py	(revision 863ebcab37bf4f8468505e773c391c8514262b9e)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterBaseTest.py	(revision 34f13a832b15b4d2deedbaeb28fde1e1537ff5d1)
@@ -124,5 +124,5 @@
 
         actions = self.plotter.contextMenu.actions()
-        self.assertEqual(len(actions), 6)
+        self.assertEqual(len(actions), 4)
 
         # Trigger Print Image and make sure the method is called
@@ -147,14 +147,14 @@
         self.assertTrue(self.clipboard_called)
 
-        # Trigger toggle navigation bar and make sure the method is called
-        self.assertEqual(actions[4].text(), "Toggle Navigation Menu")
-        isShown = self.plotter.toolbar.isVisible()
-        self.assertTrue(isShow)
-        actions[4].trigger()
-        isShown = self.plotter.toolbar.isVisible()
-        self.assertFalse(isShow)
-        actions[4].trigger()
-        isShown = self.plotter.toolbar.isVisible()
-        self.assertTrue(isShow)
+        ## Trigger toggle navigation bar and make sure the method is called
+        #self.assertEqual(actions[4].text(), "Toggle Navigation Menu")
+        #isShown = self.plotter.toolbar.isVisible()
+        #self.assertTrue(isShow)
+        #actions[4].trigger()
+        #isShown = self.plotter.toolbar.isVisible()
+        #self.assertFalse(isShow)
+        #actions[4].trigger()
+        #isShown = self.plotter.toolbar.isVisible()
+        #self.assertTrue(isShow)
 
 
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 863ebcab37bf4f8468505e773c391c8514262b9e)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 34f13a832b15b4d2deedbaeb28fde1e1537ff5d1)
@@ -103,5 +103,5 @@
         self.plotter.createContextMenuQuick()
         actions = self.plotter.contextMenu.actions()
-        self.assertEqual(len(actions), 9)
+        self.assertEqual(len(actions), 7)
 
         # Trigger Print Image and make sure the method is called
@@ -115,13 +115,13 @@
 
         # Trigger Toggle Grid and make sure the method is called
-        self.assertEqual(actions[6].text(), "Toggle Grid On/Off")
+        self.assertEqual(actions[4].text(), "Toggle Grid On/Off")
         self.plotter.ax.grid = MagicMock()
+        actions[4].trigger()
+        self.assertTrue(self.plotter.ax.grid.called)
+
+        # Trigger Change Scale and make sure the method is called
+        self.assertEqual(actions[6].text(), "Change Scale")
+        self.plotter.properties.exec_ = MagicMock(return_value=QtWidgets.QDialog.Rejected)
         actions[6].trigger()
-        self.assertTrue(self.plotter.ax.grid.called)
-
-        # Trigger Change Scale and make sure the method is called
-        self.assertEqual(actions[8].text(), "Change Scale")
-        self.plotter.properties.exec_ = MagicMock(return_value=QtWidgets.QDialog.Rejected)
-        actions[8].trigger()
         self.assertTrue(self.plotter.properties.exec_.called)
 
